#!/usr/bin/perl -w

# Lit une squence depuis un fichier sous le format FASTA
# et l'crit dans un fichier sous le format GENBANK

use Bio::SeqIO;

$in  = Bio::SeqIO->new(-file => "seq.fasta",
                       -format => 'fasta');
$out = Bio::SeqIO->new(-file => ">seq2.genbank",
                       -format => 'genbank');

my $seq = $in->next_seq;
$out->write_seq($seq);

# si le fichier contient plus d'une squence :
# while ( my $seq = $in->next_seq )
# {
#     $out->write_seq($seq);
# }
