#!/usr/bin/perl -w

# Lit une squence :
# - depuis un fichier sous le format FASTA
# - depuis un autre fichier sous le format GENBANK

use Bio::SeqIO;

$seqio_obj = Bio::SeqIO->new(-file => "seq.fasta",
                             -format => "fasta" );

$seq_obj = $seqio_obj->next_seq;
print $seq_obj->seq, "\n";

# si le fichier contient plus d'une squence :
# while ($seq_obj = $seqio_obj->next_seq)
# {
#    print $seq_obj->seq, "\n";
# }

$seqio_obj2 = Bio::SeqIO->new(-file   => "seq.genbank", 
	                      -format => "genbank" );

$seq_obj2 = $seqio_obj2->next_seq;
print $seq_obj2->seq, "\n";

