#!/usr/bin/perl -w

use Bio::Perl;

# this script will only work if you have an internet connection on the
# computer you're using, the databases you can get sequences from 
# are 'swiss', 'genbank', 'genpept', 'embl', and 'refseq'

$seq = get_sequence('swiss',"ROA1_HUMAN");

write_sequence(">roa1.fasta",'fasta',$seq);

$blast_result = blast_sequence($seq);
write_blast(">roa1.blast",$blast_result);

