#!/usr/bin/perl -w

# Ecrit une squence :
# - dans un fichier sous le format FASTA
# - dans un autre fichier sous le format GENBANK

use Bio::Seq;
use Bio::SeqIO;
		
$seq_obj = Bio::Seq->new(-seq => "aaaatgggggggggggccccgtt",
		         -display_id => "#12345",
		         -desc => "example 1",
                         -alphabet => "dna" );

$seqio_obj = Bio::SeqIO->new(-file   => '>seq.fasta', 
	                     -format => 'fasta' );
$seqio_obj->write_seq($seq_obj);

$seqio_obj2 = Bio::SeqIO->new(-file   => '>seq.genbank', 
	                      -format => 'genbank' );
$seqio_obj2->write_seq($seq_obj);
